<?php

namespace App\Helpers;


use Edwin404\Base\Support\ModelHelper;
use Edwin404\Base\Support\RequestHelper;

class ModuleHtmlHelper
{
    public static function indictmentUrl($url = null)
    {
        if (null === $url) {
            $url = RequestHelper::currentPageUrl();
        }
        return '/m/indictment?url=' . urlencode($url);
    }

    public static function userMoneyHomeUrl($memberUserId)
    {
        return '/m/user_money_0';
    }

    public static function userCreditHomeUrl($memberUserId)
    {
        return '/m/user_credit_0';
    }

    public static function prizePoolActivityUrl($memberUserId, $activityType, $activityAlias)
    {
        return action('\App\Modules\PrizePool\Mobile\HomeController@activity', [
            'alias' => '0',
            'activityType' => $activityType,
            'activityAlias' => $activityAlias,
        ]);
    }

    public static function prizePoolUsersUrl($memberUserId, $activityType, $activityAlias)
    {
        return action('\App\Modules\PrizePool\Mobile\HomeController@users', [
            'alias' => '0',
            'activityType' => $activityType,
            'activityAlias' => $activityAlias,
        ]);
    }

}